{"openapi":"3.0.1","info":{"title":"MS SAT Admin — Comtecsa","description":"Administrative catalogue and pre-sale folders. Authorize with the same JWT issued by ms-central-login-comtecsa (Bearer token containing module CRUD claims).","version":"1.0.0"},"servers":[{"url":"https://securemsadminq.comtecsa.mx","description":"Public"}],"security":[{"bearerAuth":[]}],"paths":{"/api/v1/technology-categories/{id}":{"get":{"tags":["Technology categories"],"operationId":"findById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseTechnologyCategory"}}}}}},"put":{"tags":["Technology categories"],"operationId":"replace","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TechnologyCategoryRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseTechnologyCategory"}}}}}},"delete":{"tags":["Technology categories"],"operationId":"delete","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/api/v1/suppliers/{id}":{"get":{"tags":["Suppliers"],"operationId":"findById_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSupplier"}}}}}},"put":{"tags":["Suppliers"],"operationId":"replace_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupplierCreateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSupplier"}}}}}},"delete":{"tags":["Suppliers"],"operationId":"delete_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/api/v1/supplier-brands/by-supplier/{supplierId}":{"get":{"tags":["Supplier brands"],"operationId":"bySupplier_1","parameters":[{"name":"supplierId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListSupplierBrand"}}}}}},"put":{"tags":["Supplier brands"],"operationId":"replaceForSupplier","parameters":[{"name":"supplierId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupplierBrandsRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListSupplierBrand"}}}}}}},"/api/v1/supplier-banks/{id}":{"get":{"tags":["Supplier banks"],"operationId":"findById_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSupplierBank"}}}}}},"put":{"tags":["Supplier banks"],"operationId":"replace_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupplierBankRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSupplierBank"}}}}}},"delete":{"tags":["Supplier banks"],"operationId":"delete_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/api/v1/solutions/{solutionId}/template-assignments":{"get":{"tags":["Solution templates"],"operationId":"getAssignments","parameters":[{"name":"solutionId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListSolutionTemplateAssignment"}}}}}},"put":{"tags":["Solution templates"],"operationId":"replaceAssignments","parameters":[{"name":"solutionId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SolutionTemplateAssignmentsReplaceRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListSolutionTemplateAssignment"}}}}}}},"/api/v1/solutions/{solutionId}/options":{"get":{"tags":["Solution options"],"operationId":"findBySolutionId","parameters":[{"name":"solutionId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListSolutionOption"}}}}}},"put":{"tags":["Solution options"],"operationId":"replace_3","parameters":[{"name":"solutionId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SolutionOptionsReplaceRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListSolutionOption"}}}}}}},"/api/v1/solutions/{solutionId}/consumptions":{"get":{"tags":["Solution consumptions"],"operationId":"findByParentSolutionId","parameters":[{"name":"solutionId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListSolutionConsumption"}}}}}},"put":{"tags":["Solution consumptions"],"operationId":"replace_4","parameters":[{"name":"solutionId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SolutionConsumptionsReplaceRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListSolutionConsumption"}}}}}}},"/api/v1/solution-templates/{id}":{"get":{"tags":["Solution templates"],"operationId":"findById_4","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSolutionTemplate"}}}}}},"put":{"tags":["Solution templates"],"operationId":"update","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SolutionTemplateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSolutionTemplate"}}}}}},"delete":{"tags":["Solution templates"],"operationId":"delete_4","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/api/v1/solution-templates/{id}/items":{"put":{"tags":["Solution templates"],"operationId":"replaceItems","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoryTemplateItemsReplaceRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListCategoryTemplateItem"}}}}}}},"/api/v1/service-catalog/{id}":{"get":{"tags":["Service catalog"],"operationId":"findById_5","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseServiceCatalog"}}}}}},"put":{"tags":["Service catalog"],"operationId":"replace_5","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceCatalogRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseServiceCatalog"}}}}}},"delete":{"tags":["Service catalog"],"operationId":"delete_6","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/api/v1/quote-document-settings":{"get":{"tags":["Quote document settings"],"operationId":"get","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseQuoteDocumentSettings"}}}}}},"put":{"tags":["Quote document settings"],"operationId":"replace_6","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/QuoteDocumentSettingsRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseQuoteDocumentSettings"}}}}}}},"/api/v1/product-catalog/{id}":{"get":{"tags":["Product catalog"],"operationId":"findById_6","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseProductCatalog"}}}}}},"put":{"tags":["Product catalog"],"operationId":"replace_7","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductCatalogRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseProductCatalog"}}}}}},"delete":{"tags":["Product catalog"],"summary":"Deactivate product","description":"Calls product_catalog_delete (sets is_active = false).","operationId":"delete_7","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/api/v1/pre-sale-folders/{id}":{"get":{"tags":["Pre-sale folios"],"operationId":"findById_7","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponsePreSaleFolder"}}}}}},"put":{"tags":["Pre-sale folios"],"operationId":"replace_8","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PreSaleFolderRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponsePreSaleFolder"}}}}}},"delete":{"tags":["Pre-sale folios"],"operationId":"delete_8","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponsePreSaleFolder"}}}}}}},"/api/v1/payment-terms/{id}":{"get":{"tags":["Payment terms"],"operationId":"findById_8","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponsePaymentTerm"}}}}}},"put":{"tags":["Payment terms"],"operationId":"replace_9","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentTermRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponsePaymentTerm"}}}}}}},"/api/v1/node-metric-bindings":{"get":{"tags":["Node metric product bindings"],"operationId":"findAll_8","parameters":[{"name":"metricRole","in":"query","required":false,"schema":{"type":"string"}},{"name":"activeOnly","in":"query","required":false,"schema":{"type":"boolean","default":true}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListNodeMetricProductBinding"}}}}}},"put":{"tags":["Node metric product bindings"],"operationId":"replaceAll","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NodeMetricProductBindingsReplaceRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListNodeMetricProductBinding"}}}}}}},"/api/v1/measurement-units/{id}":{"get":{"tags":["Measurement units"],"operationId":"findById_9","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseMeasurementUnit"}}}}}},"put":{"tags":["Measurement units"],"operationId":"replace_10","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MeasurementUnitRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseMeasurementUnit"}}}}}},"delete":{"tags":["Measurement units"],"operationId":"delete_9","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/api/v1/master-statuses/{id}":{"get":{"tags":["Master status"],"operationId":"findById_10","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseMasterStatus"}}}}}},"put":{"tags":["Master status"],"operationId":"replace_11","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MasterStatusRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseMasterStatus"}}}}}},"delete":{"tags":["Master status"],"operationId":"delete_10","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/api/v1/customers/{id}":{"get":{"tags":["Customers"],"operationId":"findById_11","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCustomer"}}}}}},"put":{"tags":["Customers"],"operationId":"replace_12","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerCreateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCustomer"}}}}}},"delete":{"tags":["Customers"],"operationId":"delete_11","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/api/v1/customer-contacts/{id}":{"get":{"tags":["Contacts"],"operationId":"findById_12","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseContact"}}}}}},"put":{"tags":["Contacts"],"operationId":"replace_13","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContactRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseContact"}}}}}},"delete":{"tags":["Contacts"],"operationId":"delete_12","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/api/v1/contacts/{id}":{"get":{"tags":["Contacts"],"operationId":"findById_13","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseContact"}}}}}},"put":{"tags":["Contacts"],"operationId":"replace_14","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContactRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseContact"}}}}}},"delete":{"tags":["Contacts"],"operationId":"delete_13","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/api/v1/category-templates/{id}":{"get":{"tags":["Category templates"],"operationId":"findById_14","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCategoryTemplate"}}}}}},"put":{"tags":["Category templates"],"operationId":"update_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoryTemplateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCategoryTemplate"}}}}}},"delete":{"tags":["Category templates"],"operationId":"delete_14","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/api/v1/category-templates/{id}/items":{"put":{"tags":["Category templates"],"operationId":"replaceItems_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoryTemplateItemsReplaceRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListCategoryTemplateItem"}}}}}}},"/api/v1/catalog-tags/{id}":{"get":{"tags":["Catalog tags"],"operationId":"findById_15","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCatalogTag"}}}}}},"put":{"tags":["Catalog tags"],"operationId":"replace_15","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CatalogTagRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCatalogTag"}}}}}},"delete":{"tags":["Catalog tags"],"operationId":"delete_15","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/api/v1/brands/{id}":{"get":{"tags":["Brands"],"operationId":"findById_16","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBrand"}}}}}},"put":{"tags":["Brands"],"operationId":"replace_16","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BrandRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBrand"}}}}}},"delete":{"tags":["Brands"],"operationId":"delete_16","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/api/v1/technology-categories":{"get":{"tags":["Technology categories"],"operationId":"findAll","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListTechnologyCategory"}}}}}},"post":{"tags":["Technology categories"],"summary":"Create category","operationId":"create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TechnologyCategoryRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseTechnologyCategory"}}}}}}},"/api/v1/suppliers":{"get":{"tags":["Suppliers"],"operationId":"findAll_1","parameters":[{"name":"activeOnly","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"givesCourses","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListSupplier"}}}}}},"post":{"tags":["Suppliers"],"operationId":"create_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupplierCreateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSupplier"}}}}}}},"/api/v1/suppliers/documents/constancia-fiscal/extract":{"post":{"tags":["Supplier document extraction"],"operationId":"extractConstanciaFiscal","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseConstanciaFiscalExtraction"}}}}}}},"/api/v1/supplier-documents":{"post":{"tags":["Supplier documents"],"operationId":"upload","parameters":[{"name":"supplierId","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"docType","in":"query","required":true,"schema":{"type":"string"}},{"name":"supplierBankId","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSupplierDocument"}}}}}}},"/api/v1/supplier-documents/{id}/content":{"post":{"tags":["Supplier documents"],"operationId":"content","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RevealPasswordRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"byte"}}}}}}},"/api/v1/supplier-banks":{"post":{"tags":["Supplier banks"],"operationId":"create_2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupplierBankRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSupplierBank"}}}}}}},"/api/v1/supplier-banks/{id}/reveal":{"post":{"tags":["Supplier banks"],"operationId":"reveal","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RevealPasswordRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSupplierBankRevealed"}}}}}}},"/api/v1/solution-templates":{"get":{"tags":["Solution templates"],"operationId":"findAll_3","parameters":[{"name":"templateKind","in":"query","required":false,"schema":{"type":"string"}},{"name":"activeOnly","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"solutionId","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListSolutionTemplate"}}}}}},"post":{"tags":["Solution templates"],"operationId":"create_3","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SolutionTemplateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSolutionTemplate"}}}}}}},"/api/v1/service-catalog":{"get":{"tags":["Service catalog"],"operationId":"findAll_4","parameters":[{"name":"categoryId","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListServiceCatalog"}}}}}},"post":{"tags":["Service catalog"],"operationId":"create_4","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceCatalogRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseServiceCatalog"}}}}}}},"/api/v1/reveal-sessions":{"post":{"tags":["Reveal sessions"],"operationId":"create_5","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RevealPasswordRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseRevealToken"}}}}}}},"/api/v1/quote-document-settings/logo":{"get":{"tags":["Quote document settings"],"operationId":"downloadLogo","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"byte"}}}}}},"post":{"tags":["Quote document settings"],"operationId":"uploadLogo","parameters":[{"name":"logoUrl","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseQuoteDocumentSettings"}}}}}}},"/api/v1/product-catalog":{"get":{"tags":["Product catalog"],"operationId":"findAll_5","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListProductCatalog"}}}}}},"post":{"tags":["Product catalog"],"operationId":"create_6","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductCatalogRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseProductCatalog"}}}}}}},"/api/v1/product-catalog/measurement-unit-names":{"post":{"tags":["Product catalog"],"summary":"Unit names by ids","description":"Resolves measurement unit labels for Survey product lines.","operationId":"measurementUnitNames","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MeasurementUnitIdsRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseMapIntegerString"}}}}}}},"/api/v1/product-catalog/by-ids":{"post":{"tags":["Product catalog"],"summary":"Products by ids","description":"Batch lookup for active products (max 500 ids).","operationId":"findByIds","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductCatalogByIdsRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListProductCatalog"}}}}}}},"/api/v1/pre-sale-folders":{"get":{"tags":["Pre-sale folios"],"operationId":"findAll_6","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListPreSaleFolder"}}}}}},"post":{"tags":["Pre-sale folios"],"operationId":"create_7","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PreSaleFolderRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponsePreSaleFolder"}}}}}}},"/api/v1/pre-sale-folders/{id}/cancel":{"post":{"tags":["Pre-sale folios"],"operationId":"cancel","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponsePreSaleFolder"}}}}}}},"/api/v1/payment-terms":{"get":{"tags":["Payment terms"],"operationId":"findAll_7","parameters":[{"name":"activeOnly","in":"query","required":false,"schema":{"type":"boolean","default":true}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListPaymentTerm"}}}}}},"post":{"tags":["Payment terms"],"operationId":"create_8","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentTermRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponsePaymentTerm"}}}}}}},"/api/v1/measurement-units":{"get":{"tags":["Measurement units"],"operationId":"findAll_9","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListMeasurementUnit"}}}}}},"post":{"tags":["Measurement units"],"operationId":"create_9","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MeasurementUnitRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseMeasurementUnit"}}}}}}},"/api/v1/master-statuses":{"get":{"tags":["Master status"],"summary":"List master statuses","operationId":"findAll_10","parameters":[{"name":"entityType","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListMasterStatus"}}}}}},"post":{"tags":["Master status"],"operationId":"create_10","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MasterStatusRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseMasterStatus"}}}}}}},"/api/v1/exchange-rates/sync-from-banxico":{"post":{"tags":["Exchange rates (FIX USD/MXN)"],"operationId":"syncFromBanxico","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseExchangeRateDaily"}}}}},"security":[]}},"/api/v1/customers":{"get":{"tags":["Customers"],"operationId":"findAll_11","parameters":[{"name":"activeOnly","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListCustomer"}}}}}},"post":{"tags":["Customers"],"operationId":"create_11","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerCreateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCustomer"}}}}}}},"/api/v1/customer-contacts":{"get":{"tags":["Contacts"],"operationId":"findAll_12","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListContact"}}}}}},"post":{"tags":["Contacts"],"operationId":"create_12","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContactRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseContact"}}}}}}},"/api/v1/contacts":{"get":{"tags":["Contacts"],"operationId":"findAll_13","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListContact"}}}}}},"post":{"tags":["Contacts"],"operationId":"create_13","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContactRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseContact"}}}}}}},"/api/v1/category-templates":{"get":{"tags":["Category templates"],"operationId":"findAll_14","parameters":[{"name":"categoryId","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"activeOnly","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"templateKind","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListCategoryTemplate"}}}}}},"post":{"tags":["Category templates"],"operationId":"create_14","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoryTemplateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCategoryTemplate"}}}}}}},"/api/v1/catalog-tags":{"get":{"tags":["Catalog tags"],"operationId":"findAll_15","parameters":[{"name":"solutionId","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"activeOnly","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListCatalogTag"}}}}}},"post":{"tags":["Catalog tags"],"operationId":"create_15","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CatalogTagRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCatalogTag"}}}}}}},"/api/v1/catalog-tags/for-solution/{solutionId}/ensure-default":{"post":{"tags":["Catalog tags"],"operationId":"ensureDefaultForSolution","parameters":[{"name":"solutionId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCatalogTag"}}}}}}},"/api/v1/brands":{"get":{"tags":["Brands"],"operationId":"findAll_16","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListBrand"}}}}}},"post":{"tags":["Brands"],"operationId":"create_16","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BrandRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBrand"}}}}}}},"/api/v1/suppliers/{id}/active":{"patch":{"tags":["Suppliers"],"operationId":"setActive","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupplierActiveRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSupplier"}}}}}}},"/api/v1/pre-sale-folders/{id}/status":{"patch":{"tags":["Pre-sale folios"],"operationId":"updateStatus","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PreSaleFolderStatusRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponsePreSaleFolder"}}}}}}},"/api/v1/customers/{id}/active":{"patch":{"tags":["Customers"],"operationId":"setActive_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerActiveRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCustomer"}}}}}}},"/api/v1/supplier-documents/{id}":{"get":{"tags":["Supplier documents"],"operationId":"findById_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSupplierDocument"}}}}}},"delete":{"tags":["Supplier documents"],"operationId":"delete_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/api/v1/supplier-documents/by-supplier/{supplierId}":{"get":{"tags":["Supplier documents"],"operationId":"bySupplier","parameters":[{"name":"supplierId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"currentOnly","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListSupplierDocument"}}}}}}},"/api/v1/supplier-brands":{"get":{"tags":["Supplier brands"],"operationId":"findAll_2","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListSupplierBrand"}}}}}}},"/api/v1/supplier-banks/by-supplier/{supplierId}":{"get":{"tags":["Supplier banks"],"operationId":"bySupplier_2","parameters":[{"name":"supplierId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListSupplierBank"}}}}}}},"/api/v1/product-catalog/search":{"get":{"tags":["Product catalog"],"summary":"Search products","description":"ILike match on codigo, model, or technical description (active only by default).","operationId":"search","parameters":[{"name":"q","in":"query","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"onlyActive","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListProductCatalog"}}}}}}},"/api/v1/product-catalog/by-solutions":{"get":{"tags":["Product catalog"],"summary":"Products by solution ids","description":"Lists catalog products linked to the given survey solutions.","operationId":"findBySolutions","parameters":[{"name":"solutionIds","in":"query","required":true,"schema":{"type":"array","items":{"type":"integer","format":"int32"}}},{"name":"onlyActive","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListProductCatalog"}}}}}}},"/api/v1/pre-sale-folders/by-folder-code/{folderCode}":{"get":{"tags":["Pre-sale folios"],"operationId":"findByFolderCode","parameters":[{"name":"folderCode","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponsePreSaleFolder"}}}}}}},"/api/v1/exchange-rates":{"get":{"tags":["Exchange rates (FIX USD/MXN)"],"operationId":"range","parameters":[{"name":"from","in":"query","required":true,"schema":{"type":"string","format":"date"}},{"name":"to","in":"query","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListExchangeRateDaily"}}}}}}},"/api/v1/exchange-rates/on/{date}":{"get":{"tags":["Exchange rates (FIX USD/MXN)"],"operationId":"on","parameters":[{"name":"date","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseExchangeRateDaily"}}}}}}},"/api/v1/exchange-rates/latest":{"get":{"tags":["Exchange rates (FIX USD/MXN)"],"operationId":"latest","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseExchangeRateDaily"}}}}}}},"/api/v1/customer-contacts/by-supplier/{supplierId}":{"get":{"tags":["Contacts"],"operationId":"bySupplier_3","parameters":[{"name":"supplierId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListContact"}}}}}}},"/api/v1/contacts/by-supplier/{supplierId}":{"get":{"tags":["Contacts"],"operationId":"bySupplier_4","parameters":[{"name":"supplierId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListContact"}}}}}}},"/api/v1/contacts/by-customer/{customerId}":{"get":{"tags":["Contacts"],"operationId":"byCustomer","parameters":[{"name":"customerId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListContact"}}}}}}},"/api/v1/customer-contacts/by-customer/{customerId}":{"get":{"tags":["Contacts"],"operationId":"byCustomer_1","parameters":[{"name":"customerId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListContact"}}}}}}},"/api/v1/catalog/master-status-entity-types":{"get":{"tags":["Catalog"],"summary":"SAT Admin modules usable as master_status.entity_type","operationId":"masterStatusEntityTypes","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListEntityTypeOption"}}}}}}},"/api/v1/solution-options/{id}":{"delete":{"tags":["Solution options"],"operationId":"delete_5","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/api/v1/catalog-tags/by-solution/{solutionId}":{"delete":{"tags":["Catalog tags"],"operationId":"deleteBySolution","parameters":[{"name":"solutionId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCatalogTagDeleteBySolutionResult"}}}}}}}},"components":{"schemas":{"TechnologyCategoryRequest":{"required":["name","quoteConcept"],"type":"object","properties":{"name":{"maxLength":100,"minLength":0,"type":"string"},"templateCode":{"maxLength":20,"minLength":0,"type":"string"},"hasNodeLogic":{"type":"boolean"},"quoteConcept":{"maxLength":255,"minLength":0,"type":"string"}}},"ApiResponseTechnologyCategory":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/TechnologyCategory"}}},"TechnologyCategory":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"name":{"type":"string"},"templateCode":{"type":"string"},"hasNodeLogic":{"type":"boolean"},"quoteConcept":{"type":"string"}}},"SupplierCreateRequest":{"required":["commercialName"],"type":"object","properties":{"commercialName":{"maxLength":255,"minLength":0,"type":"string"},"taxName":{"maxLength":255,"minLength":0,"type":"string"},"taxId":{"maxLength":13,"minLength":0,"type":"string"},"taxAddress":{"type":"string"},"website":{"maxLength":255,"minLength":0,"type":"string"},"givesCourses":{"type":"boolean"},"notes":{"type":"string"},"modality":{"maxLength":20,"minLength":0,"type":"string"},"fiscalStatusNote":{"type":"string"},"paymentMethods":{"maxLength":255,"minLength":0,"type":"string"},"taxRegime":{"maxLength":150,"minLength":0,"type":"string"},"portalCertificaciones":{"maxLength":255,"minLength":0,"type":"string"},"statusId":{"type":"integer","format":"int32"}}},"ApiResponseSupplier":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/Supplier"}}},"Supplier":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"supplierCode":{"type":"string"},"commercialName":{"type":"string"},"taxName":{"type":"string"},"taxId":{"type":"string"},"taxAddress":{"type":"string"},"website":{"type":"string"},"givesCourses":{"type":"boolean"},"notes":{"type":"string"},"modality":{"type":"string"},"fiscalStatusNote":{"type":"string"},"paymentMethods":{"type":"string"},"taxRegime":{"type":"string"},"portalCertificaciones":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"statusId":{"type":"integer","format":"int32"}}},"SupplierBrandsRequest":{"type":"object","properties":{"brandIds":{"type":"array","items":{"type":"integer","format":"int32"}}}},"ApiResponseListSupplierBrand":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/SupplierBrand"}}}},"SupplierBrand":{"type":"object","properties":{"supplierId":{"type":"integer","format":"int32"},"brandId":{"type":"integer","format":"int32"},"brandName":{"type":"string"}}},"SupplierBankRequest":{"required":["bankName","supplierId"],"type":"object","properties":{"supplierId":{"type":"integer","format":"int32"},"bankName":{"maxLength":150,"minLength":0,"type":"string"},"accountNumber":{"maxLength":30,"minLength":0,"type":"string"},"clabe":{"maxLength":18,"minLength":0,"type":"string"},"accountHolder":{"maxLength":255,"minLength":0,"type":"string"}}},"ApiResponseSupplierBank":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/SupplierBank"}}},"SupplierBank":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"supplierId":{"type":"integer","format":"int32"},"bankName":{"type":"string"},"accountNumberMasked":{"type":"string"},"clabeMasked":{"type":"string"},"accountHolder":{"type":"string"}}},"SolutionTemplateAssignmentsReplaceRequest":{"type":"object","properties":{"templateIds":{"type":"array","items":{"type":"integer","format":"int32"}}}},"ApiResponseListSolutionTemplateAssignment":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/SolutionTemplateAssignment"}}}},"SolutionTemplateAssignment":{"type":"object","properties":{"solutionId":{"type":"integer","format":"int32"},"templateId":{"type":"integer","format":"int32"},"templateKind":{"type":"string"},"sortOrder":{"type":"integer","format":"int32"}}},"SolutionOptionInput":{"required":["name","templateId"],"type":"object","properties":{"name":{"maxLength":200,"minLength":0,"type":"string"},"templateId":{"type":"integer","format":"int32"},"sectionTitle":{"type":"string"},"isDefault":{"type":"boolean"},"isActive":{"type":"boolean"}}},"SolutionOptionsReplaceRequest":{"required":["options"],"type":"object","properties":{"options":{"type":"array","items":{"$ref":"#/components/schemas/SolutionOptionInput"}}}},"ApiResponseListSolutionOption":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/SolutionOption"}}}},"SolutionOption":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"solutionId":{"type":"integer","format":"int32"},"name":{"type":"string"},"templateId":{"type":"integer","format":"int32"},"sectionTitle":{"type":"string"},"sortOrder":{"type":"integer","format":"int32"},"isDefault":{"type":"boolean"},"active":{"type":"boolean"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"SolutionConsumptionInput":{"required":["consumedSolutionId","consumptionRole"],"type":"object","properties":{"consumedSolutionId":{"type":"integer","format":"int32"},"consumptionRole":{"type":"string"},"requiredMode":{"type":"string"},"defaultSelected":{"type":"boolean"},"visibleInSurvey":{"type":"boolean"}}},"SolutionConsumptionsReplaceRequest":{"required":["consumptions"],"type":"object","properties":{"consumptions":{"type":"array","items":{"$ref":"#/components/schemas/SolutionConsumptionInput"}}}},"ApiResponseListSolutionConsumption":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/SolutionConsumption"}}}},"SolutionConsumption":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"parentSolutionId":{"type":"integer","format":"int32"},"consumedSolutionId":{"type":"integer","format":"int32"},"consumptionRole":{"type":"string"},"requiredMode":{"type":"string"},"defaultSelected":{"type":"boolean"},"visibleInSurvey":{"type":"boolean"},"sortOrder":{"type":"integer","format":"int32"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"SolutionTemplateRequest":{"required":["code","name","templateKind"],"type":"object","properties":{"code":{"maxLength":50,"minLength":0,"type":"string"},"name":{"maxLength":200,"minLength":0,"type":"string"},"description":{"type":"string"},"templateKind":{"type":"string"},"sectionTitle":{"type":"string"},"rollupServiceId":{"type":"integer","format":"int32"},"presentationMode":{"type":"string"},"active":{"type":"boolean"}}},"ApiResponseSolutionTemplate":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/SolutionTemplate"}}},"CategoryTemplateItem":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"templateId":{"type":"integer","format":"int32"},"itemType":{"type":"string"},"productId":{"type":"integer","format":"int32"},"serviceId":{"type":"integer","format":"int32"},"baseSuggestedQuantity":{"type":"number"},"sortOrder":{"type":"integer","format":"int32"},"ruleType":{"type":"string"},"baseQuantity":{"type":"number"},"variableKey":{"type":"string"},"reservePercent":{"type":"number"},"fieldVisibility":{"type":"string"},"presentationInQuote":{"type":"string"},"code":{"type":"string"},"model":{"type":"string"},"brandName":{"type":"string"},"serviceDescription":{"type":"string"}}},"SolutionTemplate":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"code":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"active":{"type":"boolean"},"templateKind":{"type":"string"},"sectionTitle":{"type":"string"},"rollupServiceId":{"type":"integer","format":"int32"},"presentationMode":{"type":"string"},"itemCount":{"type":"integer","format":"int64"},"assignmentCount":{"type":"integer","format":"int64"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"items":{"type":"array","items":{"$ref":"#/components/schemas/CategoryTemplateItem"}}}},"CategoryTemplateItemInput":{"required":["baseSuggestedQuantity","sortOrder"],"type":"object","properties":{"itemType":{"type":"string"},"productId":{"type":"integer","format":"int32"},"serviceId":{"type":"integer","format":"int32"},"baseSuggestedQuantity":{"type":"number"},"sortOrder":{"type":"integer","format":"int32"},"ruleType":{"type":"string"},"baseQuantity":{"type":"number"},"variableKey":{"type":"string"},"reservePercent":{"type":"number"},"fieldVisibility":{"type":"string"},"presentationInQuote":{"type":"string"}}},"CategoryTemplateItemsReplaceRequest":{"required":["items"],"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/CategoryTemplateItemInput"}}}},"ApiResponseListCategoryTemplateItem":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/CategoryTemplateItem"}}}},"ServiceCatalogRequest":{"required":["active","description"],"type":"object","properties":{"description":{"type":"string"},"categoryId":{"type":"integer","format":"int32"},"defaultCost":{"type":"number"},"active":{"type":"boolean"}}},"ApiResponseServiceCatalog":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/ServiceCatalog"}}},"ServiceCatalog":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"categoryId":{"type":"integer","format":"int32"},"codigo":{"type":"string"},"description":{"type":"string"},"unit":{"type":"string"},"defaultCost":{"type":"number"},"defaultMarkupPercent":{"type":"number"},"active":{"type":"boolean"}}},"QuoteDocumentSettingsRequest":{"required":["legalName"],"type":"object","properties":{"legalName":{"maxLength":255,"minLength":0,"type":"string"},"addressLine":{"maxLength":500,"minLength":0,"type":"string"},"phone":{"maxLength":100,"minLength":0,"type":"string"},"website":{"maxLength":255,"minLength":0,"type":"string"},"logoUrl":{"maxLength":500,"minLength":0,"type":"string"},"defaultIvaPercent":{"maximum":100,"exclusiveMaximum":false,"minimum":0,"exclusiveMinimum":false,"type":"number"},"quoteOverdueDays":{"maximum":365,"minimum":0,"type":"integer","format":"int32"}}},"ApiResponseQuoteDocumentSettings":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/QuoteDocumentSettings"}}},"QuoteDocumentSettings":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"legalName":{"type":"string"},"addressLine":{"type":"string"},"phone":{"type":"string"},"website":{"type":"string"},"logoUrl":{"type":"string"},"hasLogoBytes":{"type":"boolean"},"defaultIvaPercent":{"type":"number"},"quoteOverdueDays":{"type":"integer","format":"int32"},"updatedAt":{"type":"string","format":"date-time"}}},"ProductCatalogRequest":{"required":["active","brandId","measurementUnitId","model"],"type":"object","properties":{"categoryId":{"type":"integer","format":"int32"},"model":{"maxLength":100,"minLength":0,"type":"string"},"generalName":{"maxLength":200,"minLength":0,"type":"string"},"defaultCost":{"type":"number"},"technicalDescription":{"type":"string"},"brandId":{"type":"integer","format":"int32"},"active":{"type":"boolean"},"measurementUnitId":{"type":"integer","format":"int32"},"tagIds":{"type":"array","items":{"type":"integer","format":"int32"}}}},"ApiResponseProductCatalog":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/ProductCatalog"}}},"ProductCatalog":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"categoryId":{"type":"integer","format":"int32"},"code":{"type":"string"},"model":{"type":"string"},"generalName":{"type":"string"},"defaultCost":{"type":"number"},"technicalDescription":{"type":"string"},"brandId":{"type":"integer","format":"int32"},"brandName":{"type":"string"},"active":{"type":"boolean"},"measurementUnitId":{"type":"integer","format":"int32"},"measurementUnitName":{"type":"string"},"tagIds":{"type":"array","items":{"type":"integer","format":"int32"}}}},"PreSaleFolderRequest":{"required":["customerId","solutionIds"],"type":"object","properties":{"customerId":{"type":"integer","format":"int32"},"statusId":{"type":"integer","format":"int32"},"folderCode":{"maxLength":20,"minLength":0,"type":"string"},"customerContactId":{"type":"integer","format":"int32"},"locationReference":{"maxLength":255,"minLength":0,"type":"string"},"technicalObservations":{"type":"string"},"requestedAt":{"type":"string","format":"date-time"},"priority":{"pattern":"LOW|NORMAL|HIGH|URGENT","type":"string"},"projectName":{"maxLength":255,"minLength":0,"type":"string"},"solutionIds":{"type":"array","items":{"type":"integer","format":"int32"}}}},"ApiResponsePreSaleFolder":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/PreSaleFolder"}}},"PreSaleFolder":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"customerId":{"type":"integer","format":"int32"},"customerContactId":{"type":"integer","format":"int32"},"statusId":{"type":"integer","format":"int32"},"folderCode":{"type":"string"},"priority":{"type":"string"},"projectName":{"type":"string"},"locationReference":{"type":"string"},"technicalObservations":{"type":"string"},"requestedAt":{"type":"string","format":"date-time"},"createdByUserId":{"type":"integer","format":"int32"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"solutionIds":{"type":"array","items":{"type":"integer","format":"int32"}}}},"PaymentTermRequest":{"required":["code","label"],"type":"object","properties":{"code":{"maxLength":50,"minLength":0,"type":"string"},"label":{"maxLength":255,"minLength":0,"type":"string"},"allowsFreeText":{"type":"boolean"},"sortOrder":{"type":"integer","format":"int32"},"active":{"type":"boolean"}}},"ApiResponsePaymentTerm":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/PaymentTerm"}}},"PaymentTerm":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"code":{"type":"string"},"label":{"type":"string"},"allowsFreeText":{"type":"boolean"},"sortOrder":{"type":"integer","format":"int32"},"active":{"type":"boolean"}}},"NodeMetricProductBindingInput":{"required":["baseQuantity","itemType","metricRole"],"type":"object","properties":{"metricRole":{"type":"string"},"itemType":{"type":"string"},"productId":{"type":"integer","format":"int32"},"serviceId":{"type":"integer","format":"int32"},"baseQuantity":{"minimum":0.000001,"exclusiveMinimum":false,"type":"number"},"isActive":{"type":"boolean"}}},"NodeMetricProductBindingsReplaceRequest":{"required":["items"],"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/NodeMetricProductBindingInput"}}}},"ApiResponseListNodeMetricProductBinding":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/NodeMetricProductBinding"}}}},"NodeMetricProductBinding":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"metricRole":{"type":"string"},"itemType":{"type":"string"},"productId":{"type":"integer","format":"int32"},"serviceId":{"type":"integer","format":"int32"},"baseQuantity":{"type":"number"},"isActive":{"type":"boolean"},"sortOrder":{"type":"integer","format":"int32"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"code":{"type":"string"},"name":{"type":"string"},"generalName":{"type":"string"}}},"MeasurementUnitRequest":{"required":["name"],"type":"object","properties":{"name":{"maxLength":20,"minLength":0,"type":"string"}}},"ApiResponseMeasurementUnit":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/MeasurementUnit"}}},"MeasurementUnit":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"name":{"type":"string"}}},"MasterStatusRequest":{"required":["color","displayName","global","name"],"type":"object","properties":{"name":{"maxLength":50,"minLength":0,"type":"string"},"displayName":{"maxLength":100,"minLength":0,"type":"string"},"entityType":{"maxLength":50,"minLength":0,"type":"string"},"description":{"type":"string"},"color":{"pattern":"^#[0-9A-Fa-f]{6}$","type":"string"},"textColor":{"pattern":"^#[0-9A-Fa-f]{6}$","type":"string"},"global":{"type":"boolean"},"entityTypes":{"type":"array","items":{"type":"string"}}}},"ApiResponseMasterStatus":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/MasterStatus"}}},"MasterStatus":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"name":{"type":"string"},"displayName":{"type":"string"},"entityType":{"type":"string"},"description":{"type":"string"},"color":{"type":"string"},"textColor":{"type":"string"},"entityTypes":{"type":"array","items":{"type":"string"}},"global":{"type":"boolean"}}},"CustomerCreateRequest":{"required":["taxName"],"type":"object","properties":{"taxName":{"maxLength":255,"minLength":0,"type":"string"},"commercialName":{"maxLength":255,"minLength":0,"type":"string"},"taxId":{"maxLength":13,"minLength":0,"type":"string"},"taxAddress":{"type":"string"},"website":{"maxLength":255,"minLength":0,"type":"string"},"statusId":{"type":"integer","format":"int32"}}},"ApiResponseCustomer":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/Customer"}}},"Customer":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"customerCode":{"type":"string"},"taxName":{"type":"string"},"commercialName":{"type":"string"},"taxId":{"type":"string"},"taxAddress":{"type":"string"},"website":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"statusId":{"type":"integer","format":"int32"}}},"ContactRequest":{"required":["contactName","mainContact","ownerType"],"type":"object","properties":{"ownerType":{"pattern":"CUSTOMER|SUPPLIER","type":"string"},"customerId":{"type":"integer","format":"int32"},"supplierId":{"type":"integer","format":"int32"},"contactName":{"maxLength":150,"minLength":0,"type":"string"},"department":{"maxLength":100,"minLength":0,"type":"string"},"jobTitle":{"maxLength":100,"minLength":0,"type":"string"},"email":{"maxLength":150,"minLength":0,"type":"string"},"phone":{"maxLength":50,"minLength":0,"type":"string"},"mainContact":{"type":"boolean"}}},"ApiResponseContact":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/Contact"}}},"Contact":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"ownerType":{"type":"string"},"customerId":{"type":"integer","format":"int32"},"supplierId":{"type":"integer","format":"int32"},"contactName":{"type":"string"},"department":{"type":"string"},"jobTitle":{"type":"string"},"email":{"type":"string"},"phone":{"type":"string"},"mainContact":{"type":"boolean"}}},"CategoryTemplateRequest":{"required":["categoryId","code","name"],"type":"object","properties":{"categoryId":{"type":"integer","format":"int32"},"code":{"maxLength":50,"minLength":0,"type":"string"},"name":{"maxLength":200,"minLength":0,"type":"string"},"description":{"type":"string"},"active":{"type":"boolean"},"templateKind":{"type":"string"},"sectionTitle":{"type":"string"},"rollupServiceId":{"type":"integer","format":"int32"},"selectable":{"type":"boolean"},"presentationMode":{"type":"string"}}},"ApiResponseCategoryTemplate":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/CategoryTemplate"}}},"CategoryTemplate":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"categoryId":{"type":"integer","format":"int32"},"code":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"active":{"type":"boolean"},"templateKind":{"type":"string"},"sectionTitle":{"type":"string"},"rollupServiceId":{"type":"integer","format":"int32"},"selectable":{"type":"boolean"},"presentationMode":{"type":"string"},"itemCount":{"type":"integer","format":"int64"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"items":{"type":"array","items":{"$ref":"#/components/schemas/CategoryTemplateItem"}}}},"CatalogTagRequest":{"required":["code","name","solutionId"],"type":"object","properties":{"solutionId":{"type":"integer","format":"int32"},"code":{"maxLength":50,"minLength":0,"type":"string"},"name":{"maxLength":100,"minLength":0,"type":"string"},"active":{"type":"boolean"}}},"ApiResponseCatalogTag":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/CatalogTag"}}},"CatalogTag":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"solutionId":{"type":"integer","format":"int32"},"code":{"type":"string"},"name":{"type":"string"},"active":{"type":"boolean"}}},"BrandRequest":{"required":["name"],"type":"object","properties":{"name":{"maxLength":100,"minLength":0,"type":"string"}}},"ApiResponseBrand":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/Brand"}}},"Brand":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"name":{"type":"string"}}},"ApiResponseConstanciaFiscalExtraction":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/ConstanciaFiscalExtraction"}}},"ConstanciaFiscalExtraction":{"type":"object","properties":{"textoLegible":{"type":"boolean"},"rfc":{"type":"string"},"razonSocial":{"type":"string"},"regimenFiscal":{"type":"string"},"regimenFiscalDescripcion":{"type":"string"},"regimenesEncontrados":{"type":"array","items":{"type":"string"}},"domicilioFiscal":{"type":"string"},"estatusPadron":{"type":"string"}}},"ApiResponseSupplierDocument":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/SupplierDocument"}}},"SupplierDocument":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"supplierId":{"type":"integer","format":"int32"},"supplierBankId":{"type":"integer","format":"int32"},"docType":{"type":"string"},"fileName":{"type":"string"},"mimeType":{"type":"string"},"byteSize":{"type":"integer","format":"int32"},"isCurrent":{"type":"boolean"},"uploadedAt":{"type":"string","format":"date-time"}}},"RevealPasswordRequest":{"type":"object","properties":{"password":{"type":"string"},"revealToken":{"type":"string"}}},"ApiResponseSupplierBankRevealed":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/SupplierBankRevealed"}}},"SupplierBankRevealed":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"accountNumber":{"type":"string"},"clabe":{"type":"string"}}},"ApiResponseRevealToken":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/RevealToken"}}},"RevealToken":{"type":"object","properties":{"token":{"type":"string"},"expiresInMs":{"type":"integer","format":"int64"}}},"MeasurementUnitIdsRequest":{"required":["unitIds"],"type":"object","properties":{"unitIds":{"type":"array","items":{"type":"integer","format":"int32"}}}},"ApiResponseMapIntegerString":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"object","additionalProperties":{"type":"string"}}}},"ProductCatalogByIdsRequest":{"required":["ids"],"type":"object","properties":{"ids":{"maxItems":500,"minItems":0,"type":"array","items":{"type":"integer","format":"int32"}}}},"ApiResponseListProductCatalog":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/ProductCatalog"}}}},"ApiResponseExchangeRateDaily":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/ExchangeRateDaily"}}},"ExchangeRateDaily":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"rateDate":{"type":"string","format":"date"},"usdToMxn":{"type":"number"},"seriesId":{"type":"string"},"banxicoObsFecha":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"SupplierActiveRequest":{"type":"object","properties":{"active":{"type":"boolean"}}},"PreSaleFolderStatusRequest":{"required":["statusId"],"type":"object","properties":{"statusId":{"type":"integer","format":"int32"}}},"CustomerActiveRequest":{"type":"object","properties":{"active":{"type":"boolean"}}},"ApiResponseListTechnologyCategory":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/TechnologyCategory"}}}},"ApiResponseListSupplier":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/Supplier"}}}},"ApiResponseListSupplierDocument":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/SupplierDocument"}}}},"ApiResponseListSupplierBank":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/SupplierBank"}}}},"ApiResponseListSolutionTemplate":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/SolutionTemplate"}}}},"ApiResponseListServiceCatalog":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/ServiceCatalog"}}}},"ApiResponseListPreSaleFolder":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/PreSaleFolder"}}}},"ApiResponseListPaymentTerm":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/PaymentTerm"}}}},"ApiResponseListMeasurementUnit":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/MeasurementUnit"}}}},"ApiResponseListMasterStatus":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/MasterStatus"}}}},"ApiResponseListExchangeRateDaily":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/ExchangeRateDaily"}}}},"ApiResponseListCustomer":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/Customer"}}}},"ApiResponseListContact":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/Contact"}}}},"ApiResponseListCategoryTemplate":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/CategoryTemplate"}}}},"ApiResponseListEntityTypeOption":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/EntityTypeOption"}}}},"EntityTypeOption":{"type":"object","properties":{"code":{"type":"string"},"label":{"type":"string"}}},"ApiResponseListCatalogTag":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/CatalogTag"}}}},"ApiResponseListBrand":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/Brand"}}}},"ApiResponseCatalogTagDeleteBySolutionResult":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/CatalogTagDeleteBySolutionResult"}}},"CatalogTagDeleteBySolutionResult":{"type":"object","properties":{"solutionId":{"type":"integer","format":"int32"},"deletedCount":{"type":"integer","format":"int64"}}}},"securitySchemes":{"bearerAuth":{"type":"http","name":"bearerAuth","scheme":"bearer","bearerFormat":"JWT"}}}}